%{!?__python2: %global __python2 %{__python}}
%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-phpserialize

Version:        1.3
Release:        1%{?dist}
Summary:        Port of the serialize and unserialize functions of php to python

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.python.org/pypi/phpserialize/
Source0:        https://files.pythonhosted.org/packages/source/p/phpserialize/phpserialize-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

%description
a port of the serialize and unserialize functions of php to python. This module
implements the python serialization interface (eg: provides dumps, loads and
similar functions).

%if 0%{?with_python3}
%package -n python3-phpserialize
Summary:        Port of the serialize and unserialize functions of php to python
Group:          Development/Libraries

%description -n python3-phpserialize
a port of the serialize and unserialize functions of php to python. This module
implements the python serialization interface (eg: provides dumps, loads and
similar functions).
%endif # with_python3

%prep
%setup -q -n phpserialize-%{version}
#%patch0 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root=%{buildroot}

%files
%doc README
#%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-phpserialize
%doc README
#%license LICENSE
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Fri Dec 02 2016 Sander Hoentjen <sander@hoentjen.eu> - 1.3-1
- Initial package
